
 LinHES - Bug # 468: build process: directory conflicts

Status: Closed Priority: Normal
Author: Human Category:
Created: 08/03/2009 Assignee:
Updated: 03/21/2010 Due date:
Description: Not sure if this is happening due to pacman or due to PKGBUILD flags, but I have on several occasions run 

into dependent packages that will not install because /usr/info/dir already exists.  For the moment, I've been 
forcing pacman to ignore these conflicts (pacman -Uf [pkg_file]), but this may just defer the problem for later.

Example of conflict:

[root@LinHES_build linhes-scripts]#mpl -s
---------------
==> Making package: linhes-scripts 1-18 i686 (Mon Aug  3 18:16:48 UTC 2009)
==> WARNING: Running makepkg as root...
==> Checking Runtime Dependencies...
==> Installing missing dependencies...
resolving dependencies...
looking for inter-conflicts...

Targets (5): glib-1.2.10-7  gtk-1.2.10-8  gdk-pixbuf-0.22.0-4  xosd-2.2.14-1  
             cpulimit-1.1-1  

Total Download Size:    2.05 MB
Total Installed Size:   7.14 MB

Proceed with installation? [Y/n] 
:: Retrieving packages from core-testing...
 glib-1.2.10-7-i686       197.3K  299.0K/s 00:00:01 [#####################] 100%
 gtk-1.2.10-8-i686       1736.9K 1225.9K/s 00:00:01 [#####################] 100%
 gdk-pixbuf-0.22.0-4...    85.8K  216.5K/s 00:00:00 [#####################] 100%
 xosd-2.2.14-1-i686        74.0K  189.2K/s 00:00:00 [#####################] 100%
:: Retrieving packages from extra-testing...
 cpulimit-1.1-1-i686        5.5K   57.6K/s 00:00:00 [#####################] 100%
checking package integrity...
(5/5) checking for file conflicts                   [#####################] 100%
error: could not prepare transaction
error: failed to commit transaction (conflicting files)
/usr/info/dir exists in both 'glib' and 'gtk'
glib: /usr/info/dir exists in filesystem
gtk: /usr/info/dir exists in filesystem
Errors occurred, no packages were upgraded.
==> ERROR: Pacman failed to install missing dependencies.

History
08/20/2009 07:10 pm - harveythedog
I seem to be having the same problem [[http://mysettopbox.tv/phpBB2/viewtopic.php?t=20249|here]]

error: could not prepare transaction
error: failed to commit transaction (conflicting files)
/usr/info/dir exists in both 'fftw2' and 'glib'
/usr/info/dir exists in both 'fftw2' and 'gtk'
/usr/info/dir exists in both 'glib' and 'gtk'
Errors occurred, no packages were upgraded.

08/20/2009 07:56 pm - jams
There is a little bug with makepkg causing this to happen.  Add !docs and !emptydirs to your makepkg.conf, or to the local pkgbuild.
The three pkg's mentioned specificly here have been fixed.

03/21/2010 07:43 am - jams
- Status changed from New to Closed

seems to be ok now.  Any new pkgs found will we dealt with when they pop up
